Bug 1357506 (CVE-2016-3550) - CVE-2016-3550 OpenJDK: integer overflows in bytecode streams (Hotspot, 8152479)
Summary: CVE-2016-3550 OpenJDK: integer overflows in bytecode streams (Hotspot, 8152479)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-3550
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1350028
TreeView+ depends on / blocked
 
Reported: 2016-07-18 11:53 UTC by Tomas Hoger
Modified: 2021-02-17 03:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-26 15:15:30 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1458 0 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2016-07-20 16:11:36 UTC
Red Hat Product Errata RHSA-2016:1475 0 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 21:39:19 UTC
Red Hat Product Errata RHSA-2016:1476 0 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-14 22:54:27 UTC
Red Hat Product Errata RHSA-2016:1477 0 normal SHIPPED_LIVE Moderate: java-1.6.0-sun security update 2017-12-14 20:16:39 UTC
Red Hat Product Errata RHSA-2016:1504 0 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2016-09-16 11:11:24 UTC
Red Hat Product Errata RHSA-2016:1776 0 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2016-08-26 16:59:28 UTC

Description Tomas Hoger 2016-07-18 11:53:48 UTC
Integer overflow flaws were found in the way the Hotspot component of OpenJDK read bytecode from class files.  An untrusted Java application or applet could use this flaw to bypass certain Java sandbox restrictions.

Comment 1 Tomas Hoger 2016-07-20 07:46:00 UTC
Public now via Oracle CPU July 2016, fixed in Oracle JDK 8u101, 7u111, and 6u121.

External References:

http://www.oracle.com/technetwork/security-advisory/cpujul2016-2881720.html#AppendixJAVA

Comment 2 Tomas Hoger 2016-07-20 09:33:49 UTC
OpenJDK 8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/hotspot/rev/9edc175ff3e6

Comment 3 errata-xmlrpc 2016-07-20 12:13:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:1458 https://access.redhat.com/errata/RHSA-2016:1458

Comment 4 errata-xmlrpc 2016-07-21 10:20:37 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2016:1477 https://access.redhat.com/errata/RHSA-2016:1477

Comment 5 errata-xmlrpc 2016-07-21 10:21:26 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2016:1476 https://access.redhat.com/errata/RHSA-2016:1476

Comment 6 errata-xmlrpc 2016-07-21 10:22:37 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:1475 https://access.redhat.com/errata/RHSA-2016:1475

Comment 7 errata-xmlrpc 2016-07-27 11:43:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:1504 https://rhn.redhat.com/errata/RHSA-2016-1504.html

Comment 8 errata-xmlrpc 2016-08-26 13:00:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:1776 https://rhn.redhat.com/errata/RHSA-2016-1776.html


Note You need to log in before you can comment on or make changes to this bug.